public class ThreeStrs{
  public String s1;
  public String s2;
  public String s3="hello";

  void init1(){s1="hello";}
  void init2(){s2="hello";}
  public static void main(String args[]){
   ThreeStrs t=new ThreeStrs();
   t.init1();
   t.init2();
   System.out.println(t.s1==t.s2);  //打印true
   System.out.println(t.s1==t.s3);  //打印true

   ThreeStrs tt=new ThreeStrs();  
   tt.init1();
   tt.init2();
   System.out.println(t.s1==tt.s1);  //打印true
 }
}


/****************************************************
 * 作者：孙卫琴                                     *
 * 来源：<<Java面向对象编程>>                       *
 * 技术支持网址：www.javathinker.net                *
 ***************************************************/
